# Uses of Enum
org.apache.zookeeper.metrics.MetricsContext.DetailLevel

Packages that use MetricsContext.DetailLevel
Package
Description
org.apache.zookeeper.metrics
org.apache.zookeeper.metrics.impl

## Uses of MetricsContext.DetailLevel in org.apache.zookeeper.metrics

Subclasses with type arguments of type MetricsContext.DetailLevel in org.apache.zookeeper.metrics
Modifier and Type
Class
Description
`static enum`
`MetricsContext.DetailLevel`
Methods in org.apache.zookeeper.metrics that return MetricsContext.DetailLevel
Modifier and Type
Method
Description
`static MetricsContext.DetailLevel`
MetricsContext.DetailLevel.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MetricsContext.DetailLevel[]`
MetricsContext.DetailLevel.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.metrics with parameters of type MetricsContext.DetailLevel
Modifier and Type
Method
Description
`Summary`
MetricsContext.`getSummary(String name, MetricsContext.DetailLevel detailLevel)`
Returns a summary.
`SummarySet`
MetricsContext.`getSummarySet(String name, MetricsContext.DetailLevel detailLevel)`
Returns a set of summaries.

## Uses of MetricsContext.DetailLevel in org.apache.zookeeper.metrics.impl

Methods in org.apache.zookeeper.metrics.impl with parameters of type MetricsContext.DetailLevel
Modifier and Type
Method
Description
`Summary`
NullMetricsProvider.NullMetricsContext.`getSummary(String name, MetricsContext.DetailLevel detailLevel)`
`SummarySet`
NullMetricsProvider.NullMetricsContext.`getSummarySet(String name, MetricsContext.DetailLevel detailLevel)`